package com.house365.ws.dao.mapper;

import com.house365.beans.entity.CustomerStatusLogEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author Created by Administrator on 2019/5/27.
 */
@Repository
public interface CustomerStatusLogMapper {

    void save(CustomerStatusLogEntity entity);

    void updateIsDelete(Map<String,Object> map);

    CustomerStatusLogEntity queryById(int id);

    List<CustomerStatusLogEntity> queryByConditions(Map<String,Object> map);

    List<CustomerStatusLogEntity> queryByCustomer();

    List<CustomerStatusLogEntity> queryByCustomerId(Map<String,Object> map);

    List<CustomerStatusLogEntity> queryByStatus(Map<String,Object> map);

    void updateRepeatStatus(Map<String,Object> map);

    void updateMajorCustomer(Map<String,Object> map);

    void updateNewProjectId(Map<String,String> map);

    List<Map<String, Object>> queryCloudCount(Map<String,Object> map);
}
